- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CSubMenuMenuItem Class Reference

Inheritance diagram for Exponent::GUI::Controls::CSubMenuMenuItem:

List of all members.

## Detailed Description

A representation of a menu item that can be have a submenu.

Date:
  12/04/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CSubMenuMenuItem.hpp,v 1.6 2007/02/08 21:07:54 paul Exp

Definition at line 37 of file CSubMenuMenuItem.hpp.

## Public Member Functions

- CSubMenuMenuItem (const CString &text, const long id)
- virtual CMenu * getMutableSubMenu () const
- virtual const CMenu * getSubMenu () const
- virtual ~CSubMenuMenuItem ()

## Protected Attributes

- CMenu * m_menu

## Constructor & Destructor Documentation

Exponent::GUI::Controls::CSubMenuMenuItem::CSubMenuMenuItem | ( | const CString & | text,
|  | const long | id |
| ) |  |  |

Construction

Parameters:

  | text | The text to display
  | id | The id of the menu item

virtual Exponent::GUI::Controls::CSubMenuMenuItem::~CSubMenuMenuItem | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual CMenu* Exponent::GUI::Controls::CSubMenuMenuItem::getMutableSubMenu | ( |  | ) | const`[inline, virtual]`

Get the sub menu -> which lets you do anything you want to the sub menu..

Return values:

  | CMenu* | The sub menu. Will always be valid, but may have no entries

Definition at line 67 of file CSubMenuMenuItem.hpp.

References m_menu.

virtual const CMenu* Exponent::GUI::Controls::CSubMenuMenuItem::getSubMenu | ( |  | ) | const`[inline, virtual]`

Get the sub menu

Return values:

  | const | CMenu* The sub menu. Will always be valid, but may have no entries

Definition at line 73 of file CSubMenuMenuItem.hpp.

References m_menu.

## Member Data Documentation

CMenu* Exponent::GUI::Controls::CSubMenuMenuItem::m_menu`[protected]`

The sub menus

Definition at line 81 of file CSubMenuMenuItem.hpp.

Referenced by getMutableSubMenu(), and getSubMenu().